Bug 205863 - deskutils/py-khal: update to 0.7.0
Summary: deskutils/py-khal: update to 0.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-04 07:39 UTC by Zane C. Bowers-Hadley
Modified: 2016-01-22 09:19 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
shar file containing the diff files for the patch file, distinfo, and Makefile (2.27 KB, text/plain)
2016-01-04 07:39 UTC, Zane C. Bowers-Hadley
no flags Details
deskutils_py-khal_Makefile.diff (386 bytes, patch)
2016-01-04 12:19 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
deskutils_py-khal_distinfo.diff (394 bytes, patch)
2016-01-04 12:19 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
deskutils_py-khal_files_patch-setup.py (722 bytes, text/plain)
2016-01-04 12:20 UTC, Zane C. Bowers-Hadley
no flags Details
svn diff (1.39 KB, patch)
2016-01-05 14:30 UTC, Maxim Filimonov
che: maintainer-approval+
Details | Diff
poudriere log (28.69 KB, text/x-log)
2016-01-05 14:31 UTC, Maxim Filimonov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2016-01-04 07:39:06 UTC
Created attachment 165036 [details]
shar file containing the diff files for the patch file, distinfo, and Makefile

Update to 0.7.0.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-04 11:12:05 UTC
Thank you for your submission Zane.

Can you please attach a plain svn (or unified) diff, as these are the required format for port updates.
Comment 2 Zane C. Bowers-Hadley 2016-01-04 12:19:14 UTC
Created attachment 165045 [details]
deskutils_py-khal_Makefile.diff
Comment 3 Zane C. Bowers-Hadley 2016-01-04 12:19:54 UTC
Created attachment 165046 [details]
deskutils_py-khal_distinfo.diff
Comment 4 Zane C. Bowers-Hadley 2016-01-04 12:20:28 UTC
Created attachment 165047 [details]
deskutils_py-khal_files_patch-setup.py
Comment 5 Zane C. Bowers-Hadley 2016-01-04 12:27:23 UTC
(In reply to Kubilay Kocak from comment #1)

... the unified diffs were already included in the shar as there i no way to include more than one file on initial submission...

But sure, went and attached each diff...
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-04 12:42:13 UTC
@Zane a diff -run in the port directory will produce a single diff file. svn diff will do the same if you have an svn checkout
Comment 7 Zane C. Bowers-Hadley 2016-01-04 12:50:19 UTC
(In reply to Kubilay Kocak from comment #6)

Hmm... cool, thanks. :)
Comment 8 Maxim Filimonov 2016-01-05 14:30:29 UTC
Created attachment 165106 [details]
svn diff

Added the patch
Comment 9 Maxim Filimonov 2016-01-05 14:31:07 UTC
Created attachment 165107 [details]
poudriere log

And the poudriere log
Comment 10 Maxim Filimonov 2016-01-05 14:37:15 UTC
Dear Zane,

First of all, thank you for your contribution. We're always glad to see new people here. Any kind of contribution is appreciated.
Second. You don't basically upload the shar unless you create a new port. The way to get the patch has been described above by Koobs: you get an svn ports tree, then apply your changes to it, then cd to the deskutils/py-khal directory and issue the `svn diff` command. That's it. Moreover, we always require a poudriere log for port QA. To get it, you install poudriere, create a jail using `poudriere jail -c`, create a ports tree (I recommend that you use the svn one, but you can actually use the portsnap one) and run `poudriere testport` for your port. That's basically what I did for now. Oh, and the shar is not an archive that contains the patch, but the archive that contains the new port so you just extract it into the ports tree using the shell.
Feel free to ask further questions: we're always open to new contributors and willing to help if we can.
Comment 11 commit-hook freebsd_committer 2016-01-22 09:12:26 UTC
A commit references this bug:

Author: robak
Date: Fri Jan 22 09:12:14 UTC 2016
New revision: 406894
URL: https://svnweb.freebsd.org/changeset/ports/406894

Log:
  deskutils/py-khal: update 0.6 -> 0.7

  PR:		205863
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>
  Approved by:	Maxim Filimonov <che@bein.link> (maintainer)

Changes:
  head/deskutils/py-khal/Makefile
  head/deskutils/py-khal/distinfo
  head/deskutils/py-khal/files/patch-setup.py
Comment 12 Bartek Rutkowski freebsd_committer 2016-01-22 09:19:18 UTC
Committed, thanks!